From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-trio/
Date: Sun, 24 May 2020 08:35:52 +0000 (UTC) [thread overview]
Message-ID: <1590309294.5d5007c0dcb27d2070f63c4995dea93ccd0aaaa3.andrewammerlaan@gentoo> (raw)
Message-ID: <20200524083552.pxV2XmvHnFsaJfoatmF4cbd-xLCzfzU4jYx6Tp_pZLE@z> (raw)
commit: 5d5007c0dcb27d2070f63c4995dea93ccd0aaaa3
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun May 24 08:33:50 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun May 24 08:34:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5d5007c0
dev-python/pytest-trio: version bump
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/pytest-trio/Manifest | 1 +
dev-python/pytest-trio/pytest-trio-0.6.0.ebuild | 67 +++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-python/pytest-trio/Manifest b/dev-python/pytest-trio/Manifest
index f6eebcc..d17b502 100644
--- a/dev-python/pytest-trio/Manifest
+++ b/dev-python/pytest-trio/Manifest
@@ -1 +1,2 @@
DIST pytest-trio-0.5.2.tar.gz 35372 BLAKE2B 158e59d81fab6b56e37e92e28f8fdabb5d330dfc57b7774dcde4156165e3f5336647c9382268b50a5f70806449107ab2c7ec6d1a34f6bc773825b4fbb50b03a1 SHA512 0ab0bcfd3b1ef4859a49fa9d5dacbc698882f4f95ee113f241b49d8a7f000dbae1d982a13a87e18f96d51af1278b20298dd1af8d2ab1f563e91e74f7232f46a5
+DIST pytest-trio-0.6.0.tar.gz 37835 BLAKE2B 4158cfc81fc6db3aa9f049127f6550de4ac55fd881c4e35b67bdcfe0492470dce6ee5df9077962b46b6233f942fcc944b41cd185897ddb83824ad1a31abb846e SHA512 662719e67f5d71f73b2e5389592812b79b296b7fdd8ff6f491961bd5444958e829c46a3bd79f08e9b8b8638125c48edd459f599acc2e071fc0cf8013525a3739
diff --git a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
new file mode 100644
index 0000000..9376d18
--- /dev/null
+++ b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="This is a pytest plugin to help you test projects that use Trio"
+HOMEPAGE="
+ https://github.com/python-trio/pytest-trio
+ https://pypi.org/project/pytest-trio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# lots of different errors
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
+ dev-python/outcome[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.15[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ dev-python/pytest-trio[${PYTHON_USEDEP}]
+ !~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+ !~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.3[${PYTHON_USEDEP}]
+ dev-python/trio-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ ">=dev-python/attrs-17.4.0" \
+ ">=dev-python/sphinx-1.6.1" \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinxcontrib-trio
+
+python_prepare_all() {
+ #fix for https://github.com/python-trio/pytest-trio/issues/90
+ # AttributeError("module 'pytest' has no attribute 'RemovedInPytest4Warning'",)
+ rm pytest_trio/_tests/conftest.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # has to be run in source dir
+ #even upstream doesn't know how to run their tests
+ #https://github.com/python-trio/pytest-trio/issues/84
+ #"Our CI is still passing AFAIK"
+
+ PYTHONPATH="${S}"
+ cd "${S}" || die
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2020-05-24 8:35 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-24 19:03 Andrew Ammerlaan [this message]
2020-05-24 8:35 ` [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-trio/ Andrew Ammerlaan
-- strict thread matches above, loose matches on Subject: below --
2021-05-05 8:33 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-04-13 13:22 Andrew Ammerlaan
2020-12-06 10:49 Andrew Ammerlaan
2020-08-29 14:14 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-08-29 14:14 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-06-15 11:34 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-06-15 11:35 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-31 17:39 Andrew Ammerlaan
2020-03-31 17:07 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-31 17:39 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-29 13:21 Andrew Ammerlaan
2020-03-29 13:21 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-29 13:21 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1590309294.5d5007c0dcb27d2070f63c4995dea93ccd0aaaa3.andrewammerlaan@gentoo \
--to=andrewammerlaan@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox